PHP-инклюдинг в Fastpublish CMS

Дата публикации:
13.12.2007
Дата изменения:
06.10.2008
Всего просмотров:
1239
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Fastpublish CMS 1.x
Уязвимые версии: Fastpublish CMS 1.9.9.9.9 d, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "config[fsBase]" в сценарии adminbereich/designconfig.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP. Пример:

http://[host]/adminbereich/designconfig.php?config[fsBase]=[file]

URL производителя: www.fastpublish.org

Решение: Способов устранения уязвимости не существует в настоящее время.

или введите имя

CAPTCHA